%global pypi_name venvs

Name:           python-%{pypi_name}
Version:        3.12.0
Release:        %mkrel 2
Summary:        venvs is a tool for configuring, in a single file, a set of virtualenvs
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/venvs/
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

%description
venvs is a tool for configuring, in a single file, a set of virtualenvs,
which packages to install into each, and any binaries to make globally
available from within.

%package -n python3-%{pypi_name}
Summary:	venvs is a tool for configuring, in a single file, a set of virtualenvs
Group:		Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-userpath
Requires:       python3-click

%description -n python3-%{pypi_name}
venvs is a tool for configuring, in a single file, a set of virtualenvs,
which packages to install into each, and any binaries to make globally
available from within


%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}
%{_bindir}/convergeenvs
%{_bindir}/findenv
%{_bindir}/rmenv
%{_bindir}/venvs

%changelog
* Sun Aug 14 2022 TerryN <terryn94 at gmail.com> 3.12.0-2pclos2022
- rebuild for python 3.10

* Sun Feb 03 2019 tex 3.12.0-1pclos2019
- create
